#Module-Specific definitions
%define mod_name mod_rpaf
%define mod_conf 19_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Apache module changing remote ip client address for reverse proxy
Name:		apache-%{mod_name}
Version:	0.6
Release:	%mkrel 4
Group:		System/Servers
License:	Apache License
URL:		http://stderr.net/apache/rpaf/
Source0:	http://stderr.net/apache/rpaf/download/%{mod_name}-%{version}.tar.gz
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
rpaf is for backend Apache servers what mod_proxy_add_forward is
for frontend Apache servers. It does exactly the opposite of
mod_proxy_add_forward written by Ask Bjrn Hansen. It will also
work with mod_proxy in Apache starting with release 1.3.25 and
mod_proxy that is distributed with Apache from version 2.0.36.

It changes the remote address of the client visible to other
Apache modules when two conditions are satisfied. First condition
is that the remote client is actually a proxy that is defined in
httpd.conf. Secondly if there is an incoming X-Forwarded-For
header and the proxy is in it's list of known proxies it takes
the last IP from the incoming X-Forwarded-For header and changes
the remote address of the client in the request structure. It also
takes the incoming X-Host header and updates the virtualhost
settings accordingly. For Apache mod_proxy it takes the
X-Forwarded-Host header and updates the virtualhosts.

%prep

%setup -q -n %{mod_name}-%{version}

cp %{SOURCE1} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
rm -f mod_rpaf.c 
cp mod_rpaf-2.0.c mod_rpaf.c 

%{_sbindir}/apxs -c mod_rpaf.c 

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.org> 1:0.6-4mdv2009.1
+ Revision: 326228
- rebuild

  + Michael Scherer <misc@mandriva.org>
    - better summary
    - fix typo in description

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.org> 1:0.6-3mdv2009.0
+ Revision: 235076
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.org> 1:0.6-2mdv2009.0
+ Revision: 215627
- fix rebuild

* Sat May 10 2008 Oden Eriksson <oeriksson@mandriva.org> 1:0.6-1mdv2009.0
+ Revision: 205393
- 0.6

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.org> 1:0.5-7mdv2008.1
+ Revision: 181861
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.5-6mdv2008.1
+ Revision: 170744
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.org> 1:0.5-5mdv2008.0
+ Revision: 82666
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-4mdv2007.1
+ Revision: 140735
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.5-3mdv2007.0
+ Revision: 79495
- Import apache-mod_rpaf

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.5-3mdv2007.0
- rebuild

* Fri Dec 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.5-2mdk
- rebuilt against apache-2.2.0

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.5-1mdk
- 0.5
- fix versioning
- fix dl url

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.4-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.4-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.4-4mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.4-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.4-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.4-1mdk
- rebuilt for apache 2.0.53

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_0.4-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_0.4-1mdk
- built for apache 2.0.51

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.4-1mdk
- built for apache 2.0.50
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.4-1mdk
- built for apache 2.0.49

